ps_mllr.h File Reference

Model-space linear transforms for speaker adaptation. More...

`#include <sphinxbase/prim_type.h>`
`#include <sphinxbase/ngram_model.h>`
`#include <pocketsphinx_export.h>`

Go to the source code of this file.

## Typedefs

typedef struct ps_mllr_s | ps_mllr_t
| Feature space linear transform object.

## Functions

POCKETSPHINX_EXPORT ps_mllr_t * | ps_mllr_read (char const *file)
| Read a speaker-adaptive linear transform from a file.
POCKETSPHINX_EXPORT ps_mllr_t * | ps_mllr_retain (ps_mllr_t *mllr)
| Retain a pointer to a linear transform.
POCKETSPHINX_EXPORT int | ps_mllr_free (ps_mllr_t *mllr)
| Release a pointer to a linear transform.

## Detailed Description

Model-space linear transforms for speaker adaptation.

Definition in file ps_mllr.h.